function init()
	teleportKey = GetString("savegame.mod.teleportKey")
	if teleportKey == "" then teleportKey = "T" end
	roofKey = GetString("savegame.mod.roofKey")
	if roofKey == "" then roofKey = "Y" end
	currentlyChanging = 0
end

function draw()
	UiTranslate(UiCenter(), 430)
	UiAlign("center middle")
	UiFont("regular.ttf", 28)
	UiPush()
	    UiTranslate(110, 0)
		last_input = InputLastPressedKey()
		if last_input ~= "" then
		    if currentlyChanging == 1 then teleportKey = last_input end
			if currentlyChanging == 2 then roofKey = last_input end
			SetString("savegame.mod.teleportKey", teleportKey)
			SetString("savegame.mod.roofKey", roofKey)
		    currentlyChanging = 0
		end
		UiButtonImageBox("ui/common/box-outline-6.png", 6, 6)
	    if UiTextButton(teleportKey, 50, 30) and currentlyChanging == 0 then
		    teleportKey = "..."
			currentlyChanging = 1
		end
		
		UiTranslate(-150, 0)
		UiText("Teleport to aim point:", 300, 30)
		
		UiTranslate(110, 10)
		UiButtonImageBox("ui/common/box-outline-6.png", 6, 6)
	    if UiTextButton(roofKey, 50, 30) and currentlyChanging == 0 then
		    roofKey = "..."
			currentlyChanging = 2
		end
		UiTranslate(-125, 0)
		UiText("Teleport to roof:", 300, 30)
	UiPop()

	UiButtonImageBox("ui/common/box-outline-6.png", 6, 6)

	UiTranslate(0, 120)
	if UiTextButton("Save & Close", 160, 40) then
		Menu()
	end
end

