function init()
	teleportKey = GetString("savegame.mod.teleportKey")
	if teleportKey == "" then teleportKey = "T" end
	roofKey = GetString("savegame.mod.roofKey")
	if roofKey == "" then roofKey = "Y" end
end

function teleportToAimPoint()
	local ct = GetCameraTransform()
	local rot = ct.rot
	local pos = ct.pos
	local dir = TransformToParentVec(ct, Vec(0, 0, -1))
	local hit, dist, normal, shape = QueryRaycast(pos, dir, 300, 0, true)
	
	if hit then
		local hitPoint = VecAdd(VecAdd(pos, VecScale(dir, dist)), Vec(0, 0.5, 0))
		local t = Transform(hitPoint, rot)
		SetPlayerTransform(t, true)
	end
end

function teleportToTop()
	local ct = GetCameraTransform()
	local rot = ct.rot
	local pos = ct.pos
	local checker = VecCopy(pos)
	checker[2] = 200
	local hit, dist = QueryRaycast(checker, Vec(0,-1,0), 200)
	local hitY = 0
	if hit then
		hitY = 200 - dist
		local t = GetPlayerTransform()
		t.pos[2] = hitY
		SetPlayerTransform(t, true)
	end
end

function tick(dt)
	if InputPressed(teleportKey) and GetBool("game.player.canusetool") then
        teleportToAimPoint()
	elseif InputPressed(roofKey) and GetBool("game.player.canusetool") then
		teleportToTop()
	end
end